Page MenuHomePhabricator

Migrate Trello data to Phabricator
Closed, DuplicatePublic

Details

Reference
fl61
TitleReferenceAuthorSource BranchDest Branch
Add autofix option for whitespace checksrepos/ci-tools/banana-checker!10taavitaavi/autofixmain
Update deploy.js to use modules and add custom API URLrepos/commtech/wishlist-intake!6samwilsondeploy-anywheremain
Draft: Add i18n system and start l10nrepos/commtech/wishlist-intake!5samwilsoni18n-setupmain
Adds charts.yaml to the production imagerepos/qte/catalyst/catalyst-api!17kindrobotinclude-chartsmain
Changes to deploy stage in Gitlab CIrepos/qte/catalyst/catalyst-api!15ebomaniT361885-2main
Fixes to Makefile, CI and Blubber.yamlrepos/qte/catalyst/catalyst-api!14ebomaniT361885main
push: Stop auto-merging BlueSpice patchesrepos/ci-tools/libup!34taavitaavi/bluespicemaster
Add repos/data-engineering/mpic to trusted runnersrepos/releng/gitlab-trusted-runner!72dancymain-Idac5121fcc6d2e7cc78f6663599bb75899c88ebamain
Do not show dialog automatically after saving a linked pagerepos/commtech/autosuggest-sitelink!58samwilsonavoid-posteditmain
backport: Fix bad behavior if nonexistent change number is suppliedrepos/releng/scap!290dancymaster-I03e9bfb2d15375032064ca49d3dae7292b65d14dmaster
[Bug: T362915] Show error message on unsupported URLsrepos/future-audiences/citation-needed-chrome-extension!14derenrichderenrich/ban-extension-store-urlsmain
Update analytics canary_event DAG max parallelizationrepos/data-engineering/airflow-dags!657joalupdate_canary_events_dag_parallelizationmain
Catalyst serves a list of charts with GET /chartsrepos/qte/catalyst/catalyst-api!13ebomaniT361879-2main
allow enabling the `Thanks` extensionrepos/qte/catalyst/ci-charts!7jnucheT361521main
Deploy to k8srepos/qte/catalyst/patchdemo!4jhuneidihelmmaster
Retrieve page properties to use in summaryrepos/content-transform/pagesummary!6febinbellamyT362556main
Draft: jobs-api: introduce securityContext in the pod templaterepos/cloud/toolforge/jobs-api!75aborreroarturo-58-jobs-api-introduce-smain
Hide editing and commenting for merged commits in Diffusionrepos/phabricator/phabricator!39aklapperT361006wmf/stable
Add Template namespace to validNamespacesrepos/commtech/autosuggest-sitelink!55samwilsonadd-template-nsmain
configure conda-analytics to use bullseye imagerepos/data-engineering/conda-analytics!45stevemunenechange_conda_analytics_to_use_bullseyemain
Show related patches Customize query in GitLab

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:22 AM
flimport set Reference to fl61.

qgil wrote on 2014-05-01 14:31:18 (UTC)

If we have a Phabricator instance one day, would we need to migrate the Trello data we have, or would it be enough to close past/ongoing sprints and start the new ones in Phabricator?

swalling wrote on 2014-05-01 18:46:26 (UTC)

Honestly I think we can do this by hand. There is not enough to bother working with the API on.

qgil wrote on 2014-05-06 00:52:42 (UTC)

Honestly I think we can do this by hand.

Alright, let's assume that this is the opinion from the rest of Trello users. Otherwise please reopen this task.

spage wrote on 2014-05-22 22:20:59 (UTC)

I reopened this because people can usefully work on this, but it shouldn't block any deployment.

Looking around, it seems you can

The latter could be e.g. a Trellaphab script that repeatedly calls curl, or something...

In T36#534, @flimport wrote:

spage wrote on 2014-05-22 22:20:59 (UTC)

I reopened this because people can usefully work on this, but it shouldn't block any deployment.

I agree we should do this, though it should not block the main deployment. I am interested in this for migrating the Growth board, among potentially other projects.

Needless to say, you are welcome to work on such Trello - Phabricator
script. @chasemp and @mmodell can help you, but we would really appreciate
if you could still be the owners and main developers.

Some thoughts:

  • Can flimport and/or the scripts to migrate Bugzilla and RT be recycled in

some way, or do you have another starting point?

  • Many Trello tasks are in fact cloned Bugzilla reports. I have no idea how

many, which percentage. Is it possible to prevent an excess of duplicates
beforehand?

  • These imports would occur project by project, manually by the respective

Trello owners, without needing to switch off Phabricator.

It is also clear that these migrations would only happen after the Bugzilla
migration.

I can provide some direction if someone wants to do this import. Things are arranged so it would be just another source.

Trello folks, we need to know which kind of support you are expecting from the Wikimedia Phabricator team (if any) in order to complete the Trello-Phabricator migration.

@Spage @mattflaschen,or being more specific, do you think you will need some of your time officially allocated to create a Trello migration script? Should we ask for some of your time in Q2 (sooner than later if we want everybody to migrate by the end of December)

@Qgil yes, project managers and scrum masters will have to spend time doing this. I suspect the first person who needs to migrate a lot of Trello cards (that aren't just bugzilla bugs duplicated in Trello) and who has some technical chops will hack something together, and others will improve it. Like how bingle evolved.

You're all busy, I don't expect any support except answer some e-mails and maybe some basic guidance. :-)

In T36#11464, @Qgil wrote:

@Spage @mattflaschen,or being more specific, do you think you will need some of your time officially allocated to create a Trello migration script? Should we ask for some of your time in Q2 (sooner than later if we want everybody to migrate by the end of December)

If some of my time is officially allocated, that could allow me to contribute to this effort more promptly (if I worked on it ad hoc, it would take longer, if I found time to work on it at all).

Qgil raised the priority of this task from Medium to High.Nov 27 2014, 9:15 AM

With Bugzilla-Migration completed and RT-Migration well on its way, it is time to look at the migration of Trello projects. Let's put all the Trello focus on T821: Trello -> Phabricator migration script, where @Spage has started to drive.

Meanwhile, are there any teams using Trello that have started using Phabricator beyond bug management, i.e. copying cards manually for a sprint?

In T36#790796, @Qgil wrote:

Meanwhile, are there any teams using Trello that have started using Phabricator beyond bug management, i.e. copying cards manually for a sprint?

I believe Core Features is going to have to do so for our next sprint (unless the import script is ready).

Qgil set Security to None.